%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl
%define oname mpi4py

Name: python-module-%oname
Version: 1.0.0
Release: alt0.M50.1
Summary: MPI bindings for Python
License: Public
Group: Development/Python
Url: http://www.cimec.org.ar/python/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://mpi4py.googlecode.com/files/mpi4py-1.0.0.tar.gz

BuildRequires(pre): rpm-build-python
BuildPreReq: %mpiimpl-devel
BuildPreReq: python-devel = %__python_version
%setup_python_module %oname

%description
This package is constructed on top of the MPI-1
specification and provides an object oriented interface
which closely follows MPI-2 C++ bindings. It supports
point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any
*picklable* Python object.

%package doc
Summary: Documentation for mpi4py, MPI bindings for Python
Group: Development/Documentation
BuildArch: noarch

%description doc
Documentation for mpi4py, MPI bindings for Python.

%prep
%setup

%build
export PATH=$PATH:%mpidir/bin
sed -i 's|(MPIDIR)|%mpidir|' setup.cfg
%__python setup.py build

%install
export PATH=$PATH:%mpidir/bin
CFLAGS="%optflags" %__python setup.py install \
	--root=%buildroot --optimize=2

install -d %buildroot%_docdir/%name
cp -fR docs/html %buildroot%_docdir/%name/

%files
%doc LICENSE.txt HISTORY.txt README.txt THANKS.txt PKG-INFO
%python_sitelibdir/*

%files doc
%_docdir/%name

%changelog
* Sun May 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.0-alt0.M50.1
- Port for Branch 5.0

* Sun May 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.0-alt1
- Initial build for Sisyphus

